function [p]=plotmodel(s)
% plot the model
% Usage: [p]=plotmodel(s)
% where s is either m.s to plot the structure, or m.c to plot the cavity.

p.f = figure('Color','k',...
             'Position',[520 52 879 1057]);

p.a = axes(  'DataAspectRatio',[1 1 1],...
             'View',[-37.5,30],...
             'Xgrid','on',...
             'Ygrid','on',...
             'Zgrid','on',...
             'Color','k');

switch s.id
    case 'str'
        type='Structural';
        faces=[s.n.idx(s.e.i),s.n.idx(s.e.j),s.n.idx(s.e.k),s.n.idx(s.e.l)];
        hold on        
        p.n = quiver3(s.n.x,s.n.y,s.n.z,s.n.norm(:,1),s.n.norm(:,2),s.n.norm(:,3),3,'r-','filled');
        hold off
    case 'cav'
        type='Cavity';
        faces=[s.n.idx(s.e.i),s.n.idx(s.e.j),s.n.idx(s.e.k),s.n.idx(s.e.l);...
               s.n.idx(s.e.m),s.n.idx(s.e.n),s.n.idx(s.e.o),s.n.idx(s.e.p);... 
               s.n.idx(s.e.i),s.n.idx(s.e.j),s.n.idx(s.e.n),s.n.idx(s.e.m);...
               s.n.idx(s.e.j),s.n.idx(s.e.k),s.n.idx(s.e.o),s.n.idx(s.e.n);...
               s.n.idx(s.e.k),s.n.idx(s.e.l),s.n.idx(s.e.p),s.n.idx(s.e.o);...
               s.n.idx(s.e.l),s.n.idx(s.e.i),s.n.idx(s.e.m),s.n.idx(s.e.p)];
end

 
title([type ' model'],'Color','w','FontSize',24,'FontWeight','Bold')

p.e = patch( 'Vertices',[s.n.x,s.n.y,s.n.z],...
             'Faces',faces,...
             'FaceColor','b');
