function [displacement,freq]=str_displacement(m,lcindex,node)
% calculates displacement at the specified node
% usage:    [str_disp,freq]=str_displacement(m,lcindex,node)
% where 
%   m           is the matrix/structure that contains all the data
%   lcindex     is the number or description of the load case e.g. 'point_force'
%   node        nodes where the displacements are calculated e.g [node1, node2, node3]

% parse out lcindex
if ischar(lcindex)
    names={};
    for ii=1:length(m.lc)
        names{ii}=m.lc{ii}.name;
    end
    [true,lcindex]=ismember(lcindex,names);
    if ~true
        error('load case name not in set');
    end
elseif lcindex<1 | lcindex>length(m.lc)
    error('load case index incorrect')
end

freq=m.lc{lcindex}.freq;

for ii=1:length(freq)
    displacement(ii,:) = ( ( m.s.p(m.s.n.idx(node),:) ) * ( m.lc{1}.sp(:,ii) ) ).';
end;
